    {% if "profile" in method %}{{ method.profile }} {% endif %}{% if "return" in method.parameters %}{{ method.parameters.return.type }}{% else %}Unit{% endif %} {{ method.name }}({% if "in" in method.parameters %}{{ parameters(method.parameters.in) }}{% endif %});